Jump to content

Masteries

Members
  • Posts

    118
  • Joined

  • Last visited

3 Followers

Profile Information

  • First Name
    ma
  • Last Name
    kke

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

Masteries's Achievements

Newbie

Newbie (1/14)

13

Reputation

7

Community Answers

  1. You actually don't need to upgrade your version of PHPUnit, it's only used for development & testing purposes by Prestashop/third-party module developers. All you have to do is delete the ones found in any vendor folder. You could also upgrade your Prestashop version to the latest as well if you're worried. The issue is fixed in PHPUnit 7.5.19 and 8.5.1. So we can presume all versions prior to those are affected.
  2. Ah that's too bad, what exactly would I have to change in it to be able to use the new Schema?
  3. Thanks for this! Just a question, our theme have some user defined variables inside breadcrumb.tpl (we use Warehouse): <div class="breadcrumb clearfix {if isset($warehouse_vars.breadcrumb_width) && $warehouse_vars.breadcrumb_width == 0}fullwidth-breadcrumb{/if}"> {if isset($warehouse_vars.breadcrumb_width) && $warehouse_vars.breadcrumb_width == 0}<div class="container">{/if} <a class="home" href="{if isset($force_ssl) && $force_ssl}{$base_dir_ssl}{else}{$base_dir}{/if}" title="{l s='Return to Home'}"><i class="icon-home"></i></a> {if isset($path) AND $path} <span class="navigation-pipe"{if isset($category) && isset($category->id_category) && $category->id_category == (int)Configuration::get('PS_ROOT_CATEGORY')} style="display:none;"{/if}>{$navigationPipe|escape:'html':'UTF-8'}</span> {if $path|strpos:'span' !== false} <span class="navigation_page">{$path|@replace:'<a ': '<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a itemprop="url" '|@replace:'data-gg="">': '><span itemprop="title">'|@replace:'</a>': '</span></a></span>'}</span> {else} {$path} {/if} {/if} {if $page_name == 'product'} {hook h='productnavs'} {/if} {if isset($warehouse_vars.breadcrumb_width) && $warehouse_vars.breadcrumb_width == 0}</div>{/if} </div> If I replace this with your module hook, would it affect how things related to breadcrumb looks? Or should I also edit your gmbreadcrumb.tpl so it's compatible with the theme?
  4. Oops my bad, I own a 1.6 shop so had no idea.
  5. I wouldn't take the risk. You should remove any folder/directory that is named "PHPUnit".
  6. Oh I see, well just checked it as well. No phpunit folder found. Thanks for providing the information!
  7. 1.6 only has autoupgrade but the rest of the modules are exclusive to 1.7 I believe. Fortunately, I couldn't find any vendor or phpunit directory in any of the modules. Our autoupgrade module version is older as well maybe that's why.
  8. Are shops on 1.6 affected? I couldn't find any folder named "PHPUnit" in any of our modules so I presume we're safe?
  9. Possible solution: Make an override of AdminOrdersController.php located in controllers/admin. Find the line where this starts: "date_add" add the following below that section: 'date_upd' => array( 'title' => $this->l('Most recent status'), 'align' => 'text-right', 'type' => 'datetime', 'filter_key' => 'a!date_upd' ), This seems to be working but I'm not sure if this is entirely the correct way to do it.
  10. For example, I select a specific status in the backoffice order page and then I would like to sort the orders by the most recent status change. Let's say an order was made in July 20th, but there was a status change in July 25th, is there a way to sort it by that?
  11. I've looked everywhere for these options but the ones I've found are outdated and does not work for our version. Does anyone know how to do these?
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More